from django.contrib import admin
from davinci.gcalendar.models import GoogleAuthInfo
from davinci.gcalendar.forms import GCalSyncForm
from davinci.gcalendar.models import GCalSync


class GoogleAuthInfoAdmin(admin.ModelAdmin):
    def has_add_permission(self, request):
        return False

    def has_change_permission(self, request, obj=None):
        return False


class GCalSyncAdmin(admin.ModelAdmin):
    form = GCalSyncForm
    list_display = ['name', 'target', 'purge', 'humanized_sync_interval', 'last_sync', 'active']


admin.site.register(GoogleAuthInfo, GoogleAuthInfoAdmin)
admin.site.register(GCalSync, GCalSyncAdmin)